Skip to main content

Drop Role (V2)

This operation drops an existing role. The operation will succeed if the specified role exists. Otherwise, this operation will fail.

POST/v2/vectordb/roles/drop
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Body
roleNamestringrequired

The name of the role.

dbNamestring

Name of the database. If not specified, the default database is used.

descriptionstring

An optional description of the role.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/roles/drop" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"roleName": "admin"
}'
Responses

Return an empty object or an error message.

A success response

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which is an empty object.

A failure response.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}